# Class UnsuppressableAbilityAbAttr

#### Hierarchy (view full)

- AbAttr
  - UnsuppressableAbilityAbAttr

- Defined in src/data/ability.ts:3291

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new UnsuppressableAbilityAbAttr(): UnsuppressableAbilityAbAttr

- #### Returns UnsuppressableAbilityAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:3292

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:133

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137